Index: trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/CrossValidationView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/CrossValidationView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/CrossValidationView.Designer.cs	(revision 5832)
@@ -46,5 +46,4 @@
     /// </summary>
     private void InitializeComponent() {
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(CrossValidationView));
       this.startButton = new System.Windows.Forms.Button();
       this.pauseButton = new System.Windows.Forms.Button();
@@ -74,4 +73,5 @@
       this.newAlgorithmButton = new System.Windows.Forms.Button();
       this.resultsTabPage = new System.Windows.Forms.TabPage();
+      this.resultCollectionView = new HeuristicLab.Optimization.Views.ResultCollectionView();
       this.runsTabPage = new System.Windows.Forms.TabPage();
       this.storeAlgorithmInEachRunCheckBox = new System.Windows.Forms.CheckBox();
@@ -79,5 +79,4 @@
       this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
       this.splitContainer = new System.Windows.Forms.SplitContainer();
-      this.resultCollectionView = new HeuristicLab.Optimization.Views.ResultCollectionView();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.foldsNumericUpDown)).BeginInit();
@@ -90,4 +89,5 @@
       this.resultsTabPage.SuspendLayout();
       this.runsTabPage.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
       this.splitContainer.Panel1.SuspendLayout();
       this.splitContainer.Panel2.SuspendLayout();
@@ -100,10 +100,9 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Location = new System.Drawing.Point(80, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(533, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Location = new System.Drawing.Point(80, 26);
-      this.descriptionTextBox.Size = new System.Drawing.Size(533, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(511, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(597, 3);
       // 
       // startButton
@@ -114,5 +113,5 @@
       this.startButton.Name = "startButton";
       this.startButton.Size = new System.Drawing.Size(24, 24);
-      this.startButton.TabIndex = 11;
+      this.startButton.TabIndex = 5;
       this.startButton.UseVisualStyleBackColor = true;
       this.startButton.Click += new System.EventHandler(this.startButton_Click);
@@ -125,5 +124,5 @@
       this.pauseButton.Name = "pauseButton";
       this.pauseButton.Size = new System.Drawing.Size(24, 24);
-      this.pauseButton.TabIndex = 12;
+      this.pauseButton.TabIndex = 6;
       this.pauseButton.UseVisualStyleBackColor = true;
       this.pauseButton.Click += new System.EventHandler(this.pauseButton_Click);
@@ -136,5 +135,5 @@
       this.stopButton.Name = "stopButton";
       this.stopButton.Size = new System.Drawing.Size(24, 24);
-      this.stopButton.TabIndex = 13;
+      this.stopButton.TabIndex = 7;
       this.stopButton.UseVisualStyleBackColor = true;
       this.stopButton.Click += new System.EventHandler(this.stopButton_Click);
@@ -147,5 +146,5 @@
       this.resetButton.Name = "resetButton";
       this.resetButton.Size = new System.Drawing.Size(24, 24);
-      this.resetButton.TabIndex = 14;
+      this.resetButton.TabIndex = 8;
       this.resetButton.UseVisualStyleBackColor = true;
       this.resetButton.Click += new System.EventHandler(this.resetButton_Click);
@@ -158,5 +157,5 @@
       this.executionTimeTextBox.ReadOnly = true;
       this.executionTimeTextBox.Size = new System.Drawing.Size(137, 20);
-      this.executionTimeTextBox.TabIndex = 16;
+      this.executionTimeTextBox.TabIndex = 10;
       // 
       // executionTimeLabel
@@ -167,5 +166,5 @@
       this.executionTimeLabel.Name = "executionTimeLabel";
       this.executionTimeLabel.Size = new System.Drawing.Size(83, 13);
-      this.executionTimeLabel.TabIndex = 15;
+      this.executionTimeLabel.TabIndex = 9;
       this.executionTimeLabel.Text = "&Execution Time:";
       // 
@@ -187,5 +186,5 @@
       this.foldsNumericUpDown.Name = "foldsNumericUpDown";
       this.foldsNumericUpDown.Size = new System.Drawing.Size(248, 20);
-      this.foldsNumericUpDown.TabIndex = 18;
+      this.foldsNumericUpDown.TabIndex = 3;
       this.foldsNumericUpDown.ThousandsSeparator = true;
       this.foldsNumericUpDown.Value = new decimal(new int[] {
@@ -203,5 +202,5 @@
       this.foldsLabel.Name = "foldsLabel";
       this.foldsLabel.Size = new System.Drawing.Size(35, 13);
-      this.foldsLabel.TabIndex = 17;
+      this.foldsLabel.TabIndex = 2;
       this.foldsLabel.Text = "&Folds:";
       // 
@@ -223,5 +222,5 @@
       this.workersNumericUpDown.Name = "workersNumericUpDown";
       this.workersNumericUpDown.Size = new System.Drawing.Size(248, 20);
-      this.workersNumericUpDown.TabIndex = 20;
+      this.workersNumericUpDown.TabIndex = 1;
       this.workersNumericUpDown.ThousandsSeparator = true;
       this.workersNumericUpDown.Value = new decimal(new int[] {
@@ -239,5 +238,5 @@
       this.workersLabel.Name = "workersLabel";
       this.workersLabel.Size = new System.Drawing.Size(50, 13);
-      this.workersLabel.TabIndex = 19;
+      this.workersLabel.TabIndex = 0;
       this.workersLabel.Text = "&Workers:";
       // 
@@ -248,5 +247,5 @@
       this.samplesStartLabel.Name = "samplesStartLabel";
       this.samplesStartLabel.Size = new System.Drawing.Size(75, 13);
-      this.samplesStartLabel.TabIndex = 21;
+      this.samplesStartLabel.TabIndex = 0;
       this.samplesStartLabel.Text = "&Samples Start:";
       // 
@@ -257,5 +256,5 @@
       this.samplesEndLabel.Name = "samplesEndLabel";
       this.samplesEndLabel.Size = new System.Drawing.Size(72, 13);
-      this.samplesEndLabel.TabIndex = 23;
+      this.samplesEndLabel.TabIndex = 2;
       this.samplesEndLabel.Text = "&Samples End:";
       // 
@@ -271,5 +270,5 @@
       this.samplesEndStringConvertibleValueView.ReadOnly = false;
       this.samplesEndStringConvertibleValueView.Size = new System.Drawing.Size(223, 20);
-      this.samplesEndStringConvertibleValueView.TabIndex = 24;
+      this.samplesEndStringConvertibleValueView.TabIndex = 3;
       // 
       // samplesStartStringConvertibleValueView
@@ -284,8 +283,9 @@
       this.samplesStartStringConvertibleValueView.ReadOnly = false;
       this.samplesStartStringConvertibleValueView.Size = new System.Drawing.Size(223, 20);
-      this.samplesStartStringConvertibleValueView.TabIndex = 22;
+      this.samplesStartStringConvertibleValueView.TabIndex = 1;
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -294,9 +294,9 @@
       this.tabControl.Controls.Add(this.resultsTabPage);
       this.tabControl.Controls.Add(this.runsTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 113);
+      this.tabControl.Location = new System.Drawing.Point(0, 87);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(616, 395);
-      this.tabControl.TabIndex = 25;
+      this.tabControl.Size = new System.Drawing.Size(616, 421);
+      this.tabControl.TabIndex = 4;
       // 
       // algorithmTabPage
@@ -310,5 +310,5 @@
       this.algorithmTabPage.Name = "algorithmTabPage";
       this.algorithmTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.algorithmTabPage.Size = new System.Drawing.Size(608, 369);
+      this.algorithmTabPage.Size = new System.Drawing.Size(608, 395);
       this.algorithmTabPage.TabIndex = 0;
       this.algorithmTabPage.Text = "Algorithm";
@@ -327,9 +327,10 @@
       this.algorithmNamedItemView.Name = "algorithmNamedItemView";
       this.algorithmNamedItemView.ReadOnly = false;
-      this.algorithmNamedItemView.Size = new System.Drawing.Size(596, 52);
-      this.algorithmNamedItemView.TabIndex = 29;
+      this.algorithmNamedItemView.Size = new System.Drawing.Size(596, 23);
+      this.algorithmNamedItemView.TabIndex = 2;
       // 
       // algorithmTabControl
       // 
+      this.algorithmTabControl.AllowDrop = true;
       this.algorithmTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -337,9 +338,9 @@
       this.algorithmTabControl.Controls.Add(this.algorithmProblemTabPage);
       this.algorithmTabControl.Controls.Add(this.algorithmParametersTabPage);
-      this.algorithmTabControl.Location = new System.Drawing.Point(8, 94);
+      this.algorithmTabControl.Location = new System.Drawing.Point(8, 65);
       this.algorithmTabControl.Name = "algorithmTabControl";
       this.algorithmTabControl.SelectedIndex = 0;
-      this.algorithmTabControl.Size = new System.Drawing.Size(594, 269);
-      this.algorithmTabControl.TabIndex = 28;
+      this.algorithmTabControl.Size = new System.Drawing.Size(594, 324);
+      this.algorithmTabControl.TabIndex = 3;
       // 
       // algorithmProblemTabPage
@@ -352,5 +353,5 @@
       this.algorithmProblemTabPage.Name = "algorithmProblemTabPage";
       this.algorithmProblemTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.algorithmProblemTabPage.Size = new System.Drawing.Size(586, 243);
+      this.algorithmProblemTabPage.Size = new System.Drawing.Size(586, 298);
       this.algorithmProblemTabPage.TabIndex = 0;
       this.algorithmProblemTabPage.Text = "Problem";
@@ -366,5 +367,5 @@
       this.openProblemButton.Name = "openProblemButton";
       this.openProblemButton.Size = new System.Drawing.Size(24, 24);
-      this.openProblemButton.TabIndex = 31;
+      this.openProblemButton.TabIndex = 1;
       this.toolTip.SetToolTip(this.openProblemButton, "Open Problem");
       this.openProblemButton.UseVisualStyleBackColor = true;
@@ -382,6 +383,7 @@
       this.algorithmProblemViewHost.Name = "algorithmProblemViewHost";
       this.algorithmProblemViewHost.ReadOnly = false;
-      this.algorithmProblemViewHost.Size = new System.Drawing.Size(574, 201);
-      this.algorithmProblemViewHost.TabIndex = 0;
+      this.algorithmProblemViewHost.Size = new System.Drawing.Size(574, 256);
+      this.algorithmProblemViewHost.TabIndex = 2;
+      this.algorithmProblemViewHost.ViewsLabelVisible = true;
       this.algorithmProblemViewHost.ViewType = null;
       // 
@@ -392,5 +394,5 @@
       this.newProblemButton.Name = "newProblemButton";
       this.newProblemButton.Size = new System.Drawing.Size(24, 24);
-      this.newProblemButton.TabIndex = 30;
+      this.newProblemButton.TabIndex = 0;
       this.toolTip.SetToolTip(this.newProblemButton, "NewProblem");
       this.newProblemButton.UseVisualStyleBackColor = true;
@@ -403,5 +405,5 @@
       this.algorithmParametersTabPage.Name = "algorithmParametersTabPage";
       this.algorithmParametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.algorithmParametersTabPage.Size = new System.Drawing.Size(586, 243);
+      this.algorithmParametersTabPage.Size = new System.Drawing.Size(586, 298);
       this.algorithmParametersTabPage.TabIndex = 1;
       this.algorithmParametersTabPage.Text = "Parameters";
@@ -416,5 +418,5 @@
       this.algorithmParameterCollectionView.Name = "algorithmParameterCollectionView";
       this.algorithmParameterCollectionView.ReadOnly = false;
-      this.algorithmParameterCollectionView.Size = new System.Drawing.Size(580, 237);
+      this.algorithmParameterCollectionView.Size = new System.Drawing.Size(580, 292);
       this.algorithmParameterCollectionView.TabIndex = 0;
       // 
@@ -425,5 +427,5 @@
       this.openAlgorithmButton.Name = "openAlgorithmButton";
       this.openAlgorithmButton.Size = new System.Drawing.Size(24, 24);
-      this.openAlgorithmButton.TabIndex = 27;
+      this.openAlgorithmButton.TabIndex = 1;
       this.toolTip.SetToolTip(this.openAlgorithmButton, "Open Algorithm");
       this.openAlgorithmButton.UseVisualStyleBackColor = true;
@@ -436,5 +438,5 @@
       this.newAlgorithmButton.Name = "newAlgorithmButton";
       this.newAlgorithmButton.Size = new System.Drawing.Size(24, 24);
-      this.newAlgorithmButton.TabIndex = 26;
+      this.newAlgorithmButton.TabIndex = 0;
       this.toolTip.SetToolTip(this.newAlgorithmButton, "New Algorithm");
       this.newAlgorithmButton.UseVisualStyleBackColor = true;
@@ -447,8 +449,19 @@
       this.resultsTabPage.Name = "resultsTabPage";
       this.resultsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.resultsTabPage.Size = new System.Drawing.Size(608, 369);
+      this.resultsTabPage.Size = new System.Drawing.Size(608, 395);
       this.resultsTabPage.TabIndex = 1;
       this.resultsTabPage.Text = "Results";
       this.resultsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // resultCollectionView
+      // 
+      this.resultCollectionView.Caption = "ResultCollection View";
+      this.resultCollectionView.Content = null;
+      this.resultCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.resultCollectionView.Location = new System.Drawing.Point(3, 3);
+      this.resultCollectionView.Name = "resultCollectionView";
+      this.resultCollectionView.ReadOnly = true;
+      this.resultCollectionView.Size = new System.Drawing.Size(602, 389);
+      this.resultCollectionView.TabIndex = 0;
       // 
       // runsTabPage
@@ -459,5 +472,5 @@
       this.runsTabPage.Name = "runsTabPage";
       this.runsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.runsTabPage.Size = new System.Drawing.Size(608, 369);
+      this.runsTabPage.Size = new System.Drawing.Size(608, 395);
       this.runsTabPage.TabIndex = 2;
       this.runsTabPage.Text = "Runs";
@@ -474,5 +487,5 @@
       this.storeAlgorithmInEachRunCheckBox.Name = "storeAlgorithmInEachRunCheckBox";
       this.storeAlgorithmInEachRunCheckBox.Size = new System.Drawing.Size(161, 17);
-      this.storeAlgorithmInEachRunCheckBox.TabIndex = 2;
+      this.storeAlgorithmInEachRunCheckBox.TabIndex = 1;
       this.storeAlgorithmInEachRunCheckBox.Text = "&Store Algorithm in each Run:";
       this.toolTip.SetToolTip(this.storeAlgorithmInEachRunCheckBox, "Check to store a copy of the algorithm in each run.");
@@ -488,6 +501,6 @@
       this.runCollectionView.Name = "runCollectionView";
       this.runCollectionView.ReadOnly = false;
-      this.runCollectionView.Size = new System.Drawing.Size(602, 363);
-      this.runCollectionView.TabIndex = 3;
+      this.runCollectionView.Size = new System.Drawing.Size(602, 389);
+      this.runCollectionView.TabIndex = 0;
       // 
       // openFileDialog
@@ -502,5 +515,5 @@
       this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitContainer.Location = new System.Drawing.Point(0, 52);
+      this.splitContainer.Location = new System.Drawing.Point(0, 26);
       this.splitContainer.Name = "splitContainer";
       // 
@@ -520,16 +533,5 @@
       this.splitContainer.Size = new System.Drawing.Size(616, 55);
       this.splitContainer.SplitterDistance = 306;
-      this.splitContainer.TabIndex = 26;
-      // 
-      // resultCollectionView
-      // 
-      this.resultCollectionView.Caption = "ResultCollection View";
-      this.resultCollectionView.Content = null;
-      this.resultCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.resultCollectionView.Location = new System.Drawing.Point(3, 3);
-      this.resultCollectionView.Name = "resultCollectionView";
-      this.resultCollectionView.ReadOnly = true;
-      this.resultCollectionView.Size = new System.Drawing.Size(602, 363);
-      this.resultCollectionView.TabIndex = 0;
+      this.splitContainer.TabIndex = 3;
       // 
       // CrossValidationView
@@ -548,4 +550,5 @@
       this.Size = new System.Drawing.Size(616, 538);
       this.Controls.SetChildIndex(this.splitContainer, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.resetButton, 0);
       this.Controls.SetChildIndex(this.stopButton, 0);
@@ -556,7 +559,5 @@
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.foldsNumericUpDown)).EndInit();
@@ -574,4 +575,5 @@
       this.splitContainer.Panel2.ResumeLayout(false);
       this.splitContainer.Panel2.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
       this.splitContainer.ResumeLayout(false);
       this.ResumeLayout(false);