Index: trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.cs	(revision 5834)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis.Views {
-  [View("Cross Validation View")]
+  [View("CrossValidation View")]
   [Content(typeof(CrossValidation), true)]
   public sealed partial class CrossValidationView : NamedItemView {
@@ -319,5 +319,5 @@
       IAlgorithm algorithm = e.Data.GetData("HeuristicLab") as IAlgorithm;
       if (!ReadOnly && algorithm != null &&
-        (algorithm.ProblemType != null || Content.ProblemType.IsAssignableFrom(algorithm.Problem.GetType())) ){
+        (algorithm.ProblemType != null || Content.ProblemType.IsAssignableFrom(algorithm.Problem.GetType()))) {
         if ((e.KeyState & 32) == 32) e.Effect = DragDropEffects.Link;  // ALT key
         else if ((e.KeyState & 4) == 4) e.Effect = DragDropEffects.Move;  // SHIFT key
Index: trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.cs	(revision 5834)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis.Views {
-  [View("Support vectors view")]
+  [View("SupportVectorMachineModel SupportVectorsView")]
   [Content(typeof(SupportVectorMachineModel), false)]
   public partial class SupportVectorMachineModelSupportVectorsView : AsynchronousContentView {
Index: trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.cs	(revision 5834)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis.Views {
-  [View("Support vector machine model view")]
+  [View("SupportVectorMachineModel view")]
   [Content(typeof(SupportVectorMachineModel), true)]
   public partial class SupportVectorMachineModelView : AsynchronousContentView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicDiscriminantFunctionClassificationSolutionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicDiscriminantFunctionClassificationSolutionView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views/3.4/SymbolicDiscriminantFunctionClassificationSolutionView.cs	(revision 5834)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Classification.Views {
   [Content(typeof(SymbolicDiscriminantFunctionClassificationSolution), true)]
-  [View("Symbolic Discriminant Function Classification Solution View")]
+  [View("SymbolicDiscriminan FunctionClassificationSolution View")]
   public partial class SymbolicDiscriminantFunctionClassificationSolutionView : DiscriminantFunctionClassificationSolutionView {
     public SymbolicDiscriminantFunctionClassificationSolutionView() {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views/3.4/SymbolicRegressionSolutionView.cs	(revision 5834)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Regression.Views {
   [Content(typeof(SymbolicRegressionSolution), true)]
-  [View("Symbolic Regression Solution View")]
+  [View("SymbolicRegressionSolution View")]
   public partial class SymbolicRegressionSolutionView : RegressionSolutionView {
     public SymbolicRegressionSolutionView() {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/GraphicalSymbolicDataAnalysisModelView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/GraphicalSymbolicDataAnalysisModelView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/GraphicalSymbolicDataAnalysisModelView.cs	(revision 5834)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
-  [View("Graphical symbolic data analysis model view")]
+  [View("SymbolicDataAnalysisModel GraphicalRepresentation")]
   [Content(typeof(ISymbolicDataAnalysisModel), true)]
   public partial class GraphicalSymbolicDataAnalysisModelView : AsynchronousContentView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/RunCollectionVariableImpactView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/RunCollectionVariableImpactView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/RunCollectionVariableImpactView.cs	(revision 5834)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
   [Content(typeof(RunCollection), false)]
-  [View("RunCollection Variable Impact View")]
+  [View("RunCollection VariableImpacts")]
   public sealed partial class RunCollectionVariableImpactView : AsynchronousContentView {
     private const string variableImpactResultName = "Variable impacts";
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/TextualSymbolicDataAnalysisModelView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/TextualSymbolicDataAnalysisModelView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/TextualSymbolicDataAnalysisModelView.cs	(revision 5834)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
-  [View("Textual symbolic data analysis model view")]
+  [View("SymbolicDataAnalysisModel TextualRepresentation")]
   [Content(typeof(ISymbolicDataAnalysisModel), false)]
   public partial class TextualSymbolicDataAnalysisModelView : AsynchronousContentView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionConfusionMatrixView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionConfusionMatrixView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionConfusionMatrixView.cs	(revision 5834)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Classification solution confusion matrix view")]
+  [View("ClassificationSolution ConfusionMatrix")]
   [Content(typeof(IClassificationSolution))]
   public partial class ClassificationSolutionConfusionMatrixView : ItemView, IClassificationSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionEstimatedClassValuesView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionEstimatedClassValuesView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionEstimatedClassValuesView.cs	(revision 5834)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Classification solution estimated class values view")]
+  [View("ClassificationSolution EstimatedClassValues")]
   [Content(typeof(IClassificationSolution))]
   public partial class ClassificationSolutionEstimatedClassValuesView : ItemView, IClassificationSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationRocCurvesView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationRocCurvesView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationRocCurvesView.cs	(revision 5834)
@@ -32,5 +32,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Discriminant function classification solution ROC curves view")]
+  [View("DiscriminantFunctionClassificationSolution ROC Curves")]
   [Content(typeof(IDiscriminantFunctionClassificationSolution))]
   public partial class DiscriminantFunctionClassificationRocCurvesView : ItemView, IDiscriminantFunctionClassificationSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationSolutionEstimatedClassValuesView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationSolutionEstimatedClassValuesView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationSolutionEstimatedClassValuesView.cs	(revision 5834)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Discriminant function classification solution estimated class values view")]
+  [View("DiscriminantFunctionClassificationSolution EstimatedClassValues")]
   [Content(typeof(IDiscriminantFunctionClassificationSolution))]
   public partial class DiscriminantFunctionClassificationSolutionEstimatedClassValuesView : ItemView, IDiscriminantFunctionClassificationSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationSolutionThresholdView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationSolutionThresholdView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/DiscriminantFunctionClassificationSolutionThresholdView.cs	(revision 5834)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("DsicriminantFunctionClassificationSolutino ThresholdView")]
+  [View("DsicriminantFunctionClassificationSolution ThresholdView")]
   [Content(typeof(IDiscriminantFunctionClassificationSolution), true)]
   public sealed partial class DiscriminantFunctionClassificationSolutionThresholdView : ItemView, IDiscriminantFunctionClassificationSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/ClassificationSolutionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/ClassificationSolutionView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/ClassificationSolutionView.cs	(revision 5834)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Regresison solution view")]
+  [View("ClassificationSolution View")]
   [Content(typeof(ClassificationSolution), true)]
   public partial class ClassificationSolutionView : DataAnalysisSolutionView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs	(revision 5834)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("DataAnalysis Problem View")]
+  [View("DataAnalysisProblem View")]
   [Content(typeof(IDataAnalysisProblem), true)]
   public partial class DataAnalysisProblemView : ProblemView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisSolutionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisSolutionView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisSolutionView.cs	(revision 5834)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Data analysis solution view")]
+  [View("DataAnalysisSolution View")]
   [Content(typeof(DataAnalysisSolution), true)]
   public partial class DataAnalysisSolutionView : ResultCollectionView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DiscriminantFunctionClassificationSolutionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DiscriminantFunctionClassificationSolutionView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DiscriminantFunctionClassificationSolutionView.cs	(revision 5834)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("DiscriminantFunctionClassification solution view")]
+  [View("DiscriminantFunctionClassificationSolution View")]
   [Content(typeof(DiscriminantFunctionClassificationSolution), true)]
   public partial class DiscriminantFunctionClassificationSolutionView : ClassificationSolutionView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DoubleLimitView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DoubleLimitView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DoubleLimitView.cs	(revision 5834)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("DoubleRange View")]
+  [View("DoubleLimit View")]
   [Content(typeof(DoubleLimit), true)]
   public partial class DoubleLimitView : StringConvertibleValueTupleView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionEstimatedValuesView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionEstimatedValuesView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionEstimatedValuesView.cs	(revision 5834)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Regression solution estimated values view")]
+  [View("RegressionSolution EstimatedValues")]
   [Content(typeof(IRegressionSolution))]
   public partial class RegressionSolutionEstimatedValuesView : ItemView, IRegressionSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionLineChartView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionLineChartView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionLineChartView.cs	(revision 5834)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Regression solution line chart")]
+  [View("RegressionSolution LineChart")]
   [Content(typeof(IRegressionSolution))]
   public partial class RegressionSolutionLineChartView : ItemView, IRegressionSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionScatterPlotView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionScatterPlotView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionScatterPlotView.cs	(revision 5834)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Regression solution scatter plot")]
+  [View("RegressionSolution ScatterPlot")]
   [Content(typeof(IRegressionSolution))]
   public partial class RegressionSolutionScatterPlotView : ItemView, IRegressionSolutionEvaluationView {
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/RegressionSolutionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/RegressionSolutionView.cs	(revision 5833)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/RegressionSolutionView.cs	(revision 5834)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("Regresison solution view")]
+  [View("RegressionSolution View")]
   [Content(typeof(RegressionSolution), true)]
   public partial class RegressionSolutionView : DataAnalysisSolutionView {